Subject: Re: bug#59118: [PATCH] Prefix all itree functions with itree_

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Nov 2022 08:53:21 +0200

On November 8, 2022 7:29:15 AM GMT+02:00, Matt Armstrong <[email-masked]> wrote:
> Tags: patch
> 
> X-Debbugs-CC: Eli Zaretskii <[email-masked]>, Basil L. Contovounesios <[email-masked]>
> 
> Steph and I put some effort into prefixing all functions in itree.h with
> itree_.  It would be nice to be consistent with that.

Functions that initialize Emacs subsystems during startup are traditionally called init_FOO and syms_of_FOO.  So I'd rather we left init_itree alone.

As for forget_itree, I don't mind renaming it, although it's largely a wasted effort: that function is only present in the unexec build, and will die of natural causes at some not too distant point.